Package org.jboss.logmanager

# Class StandardOutputStreams

java.lang.Object
org.jboss.logmanager.StandardOutputStreams

public class StandardOutputStreams extends Object
Caches `stdout` and `stderr` early.

Author:
  James R. Perkins

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PrintStream`
`stderr`
`static final PrintStream`
`stdout`

## Constructor Summary

Constructors
Constructor
Description
`StandardOutputStreams()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`printError(String msg)`
Prints an error messages to `stderr`.
`static void`
`printError(String format, Object... args)`
Prints an error messages to `stderr`.
`static void`
`printError(Throwable cause, String msg)`
Prints an error messages to `stderr`.
`static void`
`printError(Throwable cause, String format, Object... args)`
Prints an error messages to `stderr`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stdout

public static final PrintStream stdout

### stderr

public static final PrintStream stderr

## Constructor Details

### StandardOutputStreams

public StandardOutputStreams()

## Method Details

### printError

public static void printError(String msg)
Prints an error messages to `stderr`.

Parameters:
  `msg` - the message to print

### printError

public static void printError(String format, Object... args)
Prints an error messages to `stderr`.

Parameters:
  `format` - the `format`
  `args` - the arguments for the format

### printError

public static void printError(Throwable cause, String msg)
Prints an error messages to `stderr`.

Parameters:
  `cause` - the cause of the error, if not `null` the `Throwable.printStackTrace(PrintStream)` writes to `stderr`
  `msg` - the message to print

### printError

public static void printError(Throwable cause, String format, Object... args)
Prints an error messages to `stderr`.

Parameters:
  `cause` - the cause of the error, if not `null` the `Throwable.printStackTrace(PrintStream)` writes to `stderr`
  `format` - the `format`
  `args` - the arguments for the format